Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.forms
Class FormField

    java.lang.Object
      |
      +--org.w3c.tools.forms.FormField

Direct Known Subclasses:
  DoubleField, IntegerField, OptionField, StringField

public abstract class FormField
extends java.lang.Object

Field Summary
`protected FormManager` | `manager` The associated form manager.
`protected java.lang.String` | `name` The field's name.
`protected java.lang.String` | `title` The field's title.

Constructor Summary
`FormField(FormManager manager, java.lang.String name, java.lang.String title)` Form field basic constructor.

Method Summary
`java.lang.String` | `getName()` Get the field's name.
`java.lang.String` | `getTitle()` Get the field's title.
`abstract java.lang.Object` | `getValue()` Get this field value's in its native type.
`protected void` | `gotFocus()` Our editor is telling us that it got the focus, propagate to manager.
`void` | `setValue(java.lang.Object value, boolean update)` Set this field's value, notifying the manager.
`abstract void` | `setValue(java.lang.Object value, boolean notify, boolean update)` Set this field value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  The field's name.

### title

    protected java.lang.String title

  The field's title.

### manager

    protected FormManager manager

  The associated form manager.

Constructor Detail

### FormField

    public FormField(FormManager manager,
                     java.lang.String name,
                     java.lang.String title)

  Form field basic constructor.

Method Detail

### getName

    public java.lang.String getName()

  Get the field's name.

### getTitle

    public java.lang.String getTitle()

  Get the field's title.

### gotFocus

    protected void gotFocus()

  Our editor is telling us that it got the focus, propagate to manager.

### getValue

    public abstract java.lang.Object getValue()

  Get this field value's in its native type.

### setValue

    public abstract void setValue(java.lang.Object value,
                                  boolean notify,
                                  boolean update)
                           throws IllegalFieldValueException

  Set this field value.

  Parameters:
    `value` - This field's new value.
    `notify` - Should we notify the manager for this change ?
    `update` - Update the editor view, if true.
  Throws:
    `IllegalFieldValueException` - If the field rejected the value.

### setValue

    public void setValue(java.lang.Object value,
                         boolean update)
                  throws IllegalFieldValueException

  Set this field's value, notifying the manager.

  Parameters:
    `value` - The new field value.
    `update` - Should we update the editor's view ?
  Throws:
    `IllegalFieldValueException` - If the field rejected the value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD